Retrieve Institution User (V2)
Loading...
API endpoint path: /v2/institution-users/{institutionUserId}
Returns profile and relationship data for a single financial institution user, with FI-scoped encryption applied to personally identifiable information (PII). The response includes identity fields (name, email, username), user status, role, user type, associated institution customers, and login activity indicators. For business banking users, entitled location information may also be included.
Use this endpoint to:
- Look up a user by institution user ID, host user ID (member number), login ID, legacy user
GUID, or authentication user ID (
authId). - Include the institution user's contact methods, postal addresses, sub-users, and
identification documents by specifying them in the
$expandquery parameter using OData expressions. - Retrieve FI-encrypted identification documents when the Apigee application includes the
institution-users:read_piiscope.
Behavior and capabilities:
userIdTypedefaults toINSTITUTION_USER_IDwhen not specified. Set it to match the identifier provided ininstitutionUserId.HOST_USER_IDis not applicable to business banking users.$expandaccepts OData expressions provided as a single string. Supported segments includecontactMethods,postalAddresses,subUsers, andidentificationDocuments.postalAddressis also accepted as an alias forpostalAddresses. Optional$filterclauses are supported on each segment.- Expanding
identificationDocumentsrequires theinstitution-users:read_piiscope. Apigee applications that request this segment without this scope receive a403 Forbiddenerror. - Identification document values are encrypted using the financial institution's encryption key (FI-scoped encryption). A deterministic error is returned if the FI encryption key is not provisioned. Vendors or third-party clients must work with the financial institution to obtain the necessary encryption key for decryption.
- Bill pay credential retrieval is not supported in V2, see Retrieve Institution User (V1) for more information.
Request
Responses
- 200
- 400
- 401
- 403
- 404
- 500
Success
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error